@charset "UTF-8";
@charset "UTF-8";

/*----------------------------------
  component.css
-----------------------------------*/
/*----------------------------------
  ボタン
-----------------------------------*/
.c-btn--arrow {
  min-width: 13.75rem;
  color: #ffffff;
  background-color: #707070;
  padding-block: 0.9375rem;
  font-size: max(0.875rem, 11.2px);
}

@media (min-width: 0px) {
  .c-btn--arrow {
    font-size: 0.875rem;
  }
}

.c-btn--arrow {
  font-weight: 600;
  border-radius: 100vmax;
  position: relative;
  text-align: center;
}

.c-btn--arrow::after {
  content: "";
  position: absolute;
  background: url("https://yuwa-denki.co.jp/system_panel/uploads/images/arrow-white.png") no-repeat center/cover;
  width: 0.646875rem;
  height: 0.68125rem;
  top: 50%;
  translate: 0 -50%;
  right: 1.25rem;
  z-index: 1;
}

.c-btn {
  min-width: 13.75rem;
  color: #ffffff;
  background-color: #707070;
  padding-block: 0.9375rem;
  font-size: max(0.875rem, 11.2px);
}

@media (min-width: 0px) {
  .c-btn {
    font-size: 0.875rem;
  }
}

.c-btn {
  font-weight: 600;
  border-radius: 100vmax;
  position: relative;
  text-align: center;
}

/*----------------------------------
  タイトル
-----------------------------------*/
.c-section-ttl {
  letter-spacing: 0.05em;
  color: #505050;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-column-gap: 1.5625rem;
  -moz-column-gap: 1.5625rem;
  column-gap: 1.5625rem;
}

.c-section-ttl .c-section-ttl__en {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-column-gap: 1.4375rem;
  -moz-column-gap: 1.4375rem;
  column-gap: 1.4375rem;
  font-family: "Bebas Neue", sans-serif;
  font-weight: 700;
  font-size: 2rem;
  line-height: 2.5rem;
}

@media (min-width: 768px) {
  .c-section-ttl .c-section-ttl__en {
    font-weight: 600;
    font-size: 2.5rem;
  }
}

.c-section-ttl .c-section-ttl__en::before {
  content: "";
  background: url("https://yuwa-denki.co.jp/system_panel/uploads/images/ellipse.png") no-repeat center/contain;
  width: 1.625rem;
  height: 1.125rem;
}

.c-section-ttl .c-section-ttl__ja {
  color: #3c3c3c;
  font-size: 0.8125rem;
  line-height: 1.25rem;
  /* 153.846% */
  letter-spacing: 0.024375rem;
}

.c-section-ttl--stack {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

.c-section-ttl--stack .c-section-ttl__ja {
  -webkit-margin-start: 3.125rem;
  margin-inline-start: 3.125rem;
  -webkit-margin-before: 0.3125rem;
  margin-block-start: 0.3125rem;
}

.p-contact__ttl {
  position: relative;
  font-family: "Bebas Neue", sans-serif;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  font-weight: 700;
  font-size: 2rem;
  line-height: 2.5rem;
}

@media (min-width: 768px) {
  .p-contact__ttl {
    font-weight: 600;
    font-size: 2.5rem;
  }
}

.p-contact__ttl::before {
  position: absolute;
  z-index: -1;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  content: "";
  background: url("https://yuwa-denki.co.jp/system_panel/uploads/images/ellipse-ss.png") no-repeat center/cover;
  width: 15.125rem;
  height: 19.375rem;
}

/*----------------------------------
  背景黄色まる
-----------------------------------*/
.c-ellipse-lg {
  position: absolute;
  aspect-ratio: 1080/874;
  width: 18.75rem;
  z-index: -1;
}

@media (min-width: 768px) {
  .c-ellipse-lg {
    width: 33.75rem;
  }
}

.c-ellipse-m {
  position: absolute;
  aspect-ratio: 845/706;
  width: 15.625rem;
  z-index: -1;
}

@media (min-width: 768px) {
  .c-ellipse-m {
    width: 26.25rem;
  }
}

.c-ellipse-s {
  position: absolute;
  aspect-ratio: 584/620;
  width: 12.5rem;
  z-index: -1;
}

@media (min-width: 768px) {
  .c-ellipse-s {
    width: 18.125rem;
  }
}

/*----------------------------------
  dl
-----------------------------------*/
.c-dl {
  display: grid;
  grid-template-columns: 6.5rem 1fr;
  padding-block: 1.5625rem;
  border-bottom: 1px solid transparent;
  -o-border-image: linear-gradient(to right, #505050 0%, #505050 20%, #c7c7c7 20%, #c7c7c7 100%) 1;
  border-image: -webkit-gradient(linear, left top, right top, from(#505050), color-stop(20%, #505050), color-stop(20%, #c7c7c7), to(#c7c7c7)) 1;
  border-image: linear-gradient(to right, #505050 0%, #505050 20%, #c7c7c7 20%, #c7c7c7 100%) 1;
}

@media (min-width: 768px) {
  .c-dl {
    grid-template-columns: 11.25rem 1fr;
    padding-block: 2.3125rem;
    -o-border-image: linear-gradient(to right, #505050 0%, #505050 10%, #c7c7c7 10%, #c7c7c7 100%) 1;
    border-image: -webkit-gradient(linear, left top, right top, from(#505050), color-stop(10%, #505050), color-stop(10%, #c7c7c7), to(#c7c7c7)) 1;
    border-image: linear-gradient(to right, #505050 0%, #505050 10%, #c7c7c7 10%, #c7c7c7 100%) 1;
  }
}

.c-dt,
.c-dd {
  width: 100%;
  font-size: max(0.75rem, 9.6px);
}

@media (min-width: 0px) {

  .c-dt,
  .c-dd {
    font-size: 0.75rem;
  }
}

.c-dt,
.c-dd {
  font-weight: 500;
  line-height: 2.1428571429;
}

@media (min-width: 768px) {

  .c-dt,
  .c-dd {
    font-size: max(0.875rem, 11.2px);
    font-weight: 500;
    line-height: 2.5;
  }
}

@media (min-width: 768px) and (min-width: 0px) {

  .c-dt,
  .c-dd {
    font-size: 0.875rem;
    line-height: 2.5;
  letter-spacing: 0.035em;
  }
}.c-dl:last-child {
  border-bottom: none;
}

/*----------------------------------
  上部カテゴリリスト
-----------------------------------*/
.c-blog__menu .webgene-blog {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-column-gap: 0.625rem;
  -moz-column-gap: 0.625rem;
  column-gap: 0.625rem;
  gap: 0.625rem;
}

.c-blog__menu .c-blog__item {
  font-size: 0.75rem;
  line-height: 1.1875rem;
  padding: 0.375rem 1.5625rem;
  background-color: #ffffff;
  border-radius: 100vmax;
  color: #333;
  background-color: #ffd800;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

@media (min-width: 768px) {
  .c-blog__menu .c-blog__item {
    padding: 0.9375rem 3.4375rem;
    font-size: 0.8125rem;
    min-width: 9.375rem;
  }
}

@media (any-hover: hover) {
  .c-blog__menu .c-blog__item:hover {
    background-color: #505050;
    color: #ffffff;
    opacity: 1;
  }
}

.c-blog__item.is-selected {
  background-color: #505050;
  color: #ffffff;
}

/*----------------------------------
  記事一覧
-----------------------------------*/
.p-news__list {
  -webkit-margin-before: 3.125rem;
  margin-block-start: 3.125rem;
}

@media (min-width: 768px) {
  .p-news__list {
    -webkit-margin-before: 4.0625rem;
    margin-block-start: 4.0625rem;
  }
}

.p-news__list .webgene-blog {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

/*----------------------------------
  news 記事アイテム 詳細ページと共通
-----------------------------------*/
.webgene-item:first-child .c-news__item {
  border: none;
}

@media (min-width: 768px) {
  .c-news__info {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-column-gap: 2.5rem;
    -moz-column-gap: 2.5rem;
    column-gap: 2.5rem;
  }
}

.c-news__item {
  border-top: 1px solid #d9d8da;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 0.9375rem 1.25rem;
  -webkit-transition: opacity 0.3s ease;
  transition: opacity 0.3s ease;
  background-color: #ffffff;
}

@media (min-width: 768px) {
  .c-news__item {
    padding: 1.5625rem 2.5rem;
  }
}

@media (any-hover: hover) {
  .c-news__item:hover {
    opacity: 0.7;
  }
}

@media (min-width: 768px) {
  .c-news__item {
    -webkit-column-gap: 3.125rem;
    -moz-column-gap: 3.125rem;
    column-gap: 3.125rem;
  }
}

.c-news__info {
  width: 85%;
}

.c-news__meta {
  white-space: nowrap;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-column-gap: 1.875rem;
  -moz-column-gap: 1.875rem;
  column-gap: 1.875rem;
}

.c-news__date {
  font-size: 0.75rem;
  line-height: 1rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  -webkit-column-gap: 0.625rem;
  -moz-column-gap: 0.625rem;
  column-gap: 0.625rem;
  font-family: "Lato", sans-serif;
  color: #43423f;
}

.c-news__tag {
  background-color: #ffd800;
  font-size: 0.75rem;
  line-height: 1.0625rem;
  border-radius: 0.0625rem;
  padding: 0.1875rem 0.625rem;
  border-radius: 5px;
  color: #3c3c3c;
}

.c-news__title {
  color: #3c3c3c;
  font-size: 0.875rem;
  -webkit-margin-before: 1.375rem;
  margin-block-start: 1.375rem;
  min-width: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

@media (min-width: 768px) {
  .c-news__title {
    -webkit-margin-before: 0;
    margin-block-start: 0;
  }
}

.c-news__arrow {
  -ms-flex-negative: 0;
  flex-shrink: 0;
  background: #505050;
  border-radius: 0.25rem;
  width: 1.375rem;
  height: 1.375rem;
  display: grid;
  place-items: center;
  position: relative;
}

.c-news__arrow img {
  width: 0.5rem;
  height: auto;
  aspect-ratio: 8.5/8.9;
}

.c-news__arrow::after {
  content: "";
  position: absolute;
  background: url("https://yuwa-denki.co.jp/system_panel/uploads/images/arrow-white-right.png") no-repeat center/contain;
  width: 0.64675rem;
  height: 0.680625rem;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  z-index: 1;
}

.c-news__btn {
  -webkit-margin-before: 1.875rem;
  margin-block-start: 1.875rem;
  margin-inline: auto;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

@media (min-width: 768px) {
  .c-news__btn {
    -webkit-margin-before: 2.5rem;
    margin-block-start: 2.5rem;
    margin-inline: unset;
  }
}

/*----------------------------------
  works    記事アイテム 詳細ページと共通
-----------------------------------*/
.p-works__list .webgene-blog {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(22.125rem, 22.125rem));
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-column-gap: 2.5rem;
  -moz-column-gap: 2.5rem;
  column-gap: 2.5rem;
  row-gap: 4.375rem;
}

.p-works__list {
  /* ページネーションをgridの横並び対象から外す */
}

.p-works__list .webgene-pagination {
  grid-column: 1/-1;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  margin-top: 1.25rem;
}

.p-works__list .webgene-item {
  width: 100%;
  max-width: 22.125rem;
}

.p-works__list .webgene-item .c-works__item {
  max-width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-transition: opacity 0.3s ease;
  transition: opacity 0.3s ease;
}

@media (any-hover: hover) {
  .p-works__list .webgene-item .c-works__item:hover {
    opacity: 0.7;
  }
}

@media (min-width: 768px) {
  .p-works__list .webgene-item .c-works__item {
    -webkit-column-gap: 3.125rem;
    -moz-column-gap: 3.125rem;
    column-gap: 3.125rem;
  }
}

.c-works__img {
  border-radius: 0.625rem;
  aspect-ratio: 354/250;
  width: 100%;
  overflow: hidden;
}


.c-works__img img {
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: center;
  object-position: center;
  height: 100%;
  border-radius: inherit;
}

.c-works__info {
  -webkit-margin-before: 1.25rem;
  margin-block-start: 1.25rem;
}

.c-works__meta {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-column-gap: 0.625rem;
  -moz-column-gap: 0.625rem;
  column-gap: 0.625rem;
}

.c-works__date {
  font-size: 0.75rem;
  line-height: 1rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  -webkit-column-gap: 0.625rem;
  -moz-column-gap: 0.625rem;
  column-gap: 0.625rem;
  font-family: "Lato", sans-serif;
  color: #43423f;
}

.c-works__tag {
  background-color: #ffd800;
  font-size: 0.75rem;
  line-height: 1.0625rem;
  border-radius: 0.0625rem;
  padding: 0.1875rem 0.625rem;
  border-radius: 5px;
  color: #3c3c3c;
}

.c-works__title {
  color: #3c3c3c;
  -webkit-margin-before: 0.625rem;
  margin-block-start: 0.625rem;
  text-overflow: ellipsis;
  font-size: max(0.875rem, 11.2px);
}

@media (min-width: 0px) {
  .c-works__title {
    font-size: 0.875rem;
  }
}

.c-works__title {
  font-weight: 500;
  line-height: 2.1428571429;
  letter-spacing: 0.03em;
}

.c-works__next {
  -webkit-margin-before: 0.625rem;
  margin-block-start: 0.625rem;
  -ms-flex-item-align: end;
  align-self: flex-end;
  text-decoration: underline;
  text-underline-offset: 0.25rem;
  font-size: 0.875rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-column-gap: 0.9375rem;
  -moz-column-gap: 0.9375rem;
  column-gap: 0.9375rem;
}

.c-works__next::after {
  content: "";
  background: url("https://yuwa-denki.co.jp/system_panel/uploads/images/tirangle.png") no-repeat center/contain;
  width: 0.459375rem;
  height: 0.3875rem;
}